LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
LinkBack Search this Thread
Old 10-27-2006, 11:56 PM   #1
Chuong
Member
 
Registered: Apr 2006
Posts: 161

Rep: Reputation: 30
Nvidia Problem: can't install nvidia driver for FC6


Sorry for posting double threads but the other thread title was not catchy.

I've downloaded Fedora Core 6 yesterday and installed it today.

The nvidia graphic driver needs to be installed again.

However when I tried to install the kmod-nvidia driver with root, I get this conflict between kernel architecture or something:

***************************************************
[root@bigserver ~]# yum --enablerepo livna install kmod-nvidia
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
livna 100% |=========================| 1.1 kB 00:00
core 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 1.2 kB 00:00
macromedia 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kmod-nvidia.i686 0:1.0.8776-1.2.6.18_1.2798.fc6 set to be installed
--> Running transaction check
--> Processing Dependency: kernel-i686 = 2.6.18-1.2798.fc6 for package: kmod-nvidia
--> Processing Dependency: nvidia-kmod-common >= 1.0.8776 for package: kmod-nvidia
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.i686 0:2.6.18-1.2798.fc6 set to be installed
---> Package xorg-x11-drv-nvidia.i386 0:1.0.8776-3.lvn6 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size
=============================================================================
Installing:
kmod-nvidia i686 1.0.8776-1.2.6.18_1.2798.fc6 livna 1.6 M
Installing for dependencies:
kernel i686 2.6.18-1.2798.fc6 core 16 M
Updating for dependencies:
xorg-x11-drv-nvidia i386 1.0.8776-3.lvn6 livna 4.0 M

Transaction Summary
=============================================================================
Install 2 Package(s)
Update 1 Package(s)
Remove 0 Package(s)

Total download size: 21 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error: package kernel-2.6.18-1.2798.fc6 is already installed
file /boot/System.map-2.6.18-1.2798.fc6 from install of kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
file /boot/config-2.6.18-1.2798.fc6 from install of kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
file /boot/symvers-2.6.18-1.2798.fc6.gz from install of kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
file /boot/vmlinuz-2.6.18-1.2798.fc6 from install of kernel-2.6.18-1.2798.fc6 conflicts with file from package kernel-2.6.18-1.2798.fc6
*****************************************************



Much appreciated in advance,



Chuong.
 
Old 10-28-2006, 12:58 AM   #2
jens
Senior Member
 
Registered: May 2004
Location: Belgium
Distribution: Debian, Slackware, Fedora
Posts: 1,181

Rep: Reputation: 158Reputation: 158
Could you check if you're using the i686 kernel.
The installer wrongly installed an i586 version on many systems. Since it's the same version number, yum can't update it.

You can fix this by installing the i686 one like this:
Code:
rpm -Uvh --replacefiles --replacepkgs kernel-2.6.18-1.2798.fc6.i686.rpm
As for your yum command, notice that the 8776 driver isn't compatible with compiz/aixgl. If you want to enable the desktop-effects, install the nvidia-kmod package from testing:
Code:
yum install kmod-nvidia --enablerepo=livna-testing
 
Old 10-28-2006, 01:27 AM   #3
jlo_sandog
Member
 
Registered: Jul 2005
Location: USA
Distribution: F10 (x86_64)
Posts: 549

Rep: Reputation: 31
I had the same problem. FC6 boots up with xen by defaul which means that you need to install the kmod-nvidia-xen package. If you change the default (Fedora Core (2.6.18-1.2798.fc6xen)) to Fedora Core-up (2.6.18-1.2798.fc6) then your drivers will work with kmod-nvidia. You should read the release notes for more notes about the kernel-devel sources (more than one type).
 
Old 10-28-2006, 01:56 AM   #4
jens
Senior Member
 
Registered: May 2004
Location: Belgium
Distribution: Debian, Slackware, Fedora
Posts: 1,181

Rep: Reputation: 158Reputation: 158
Quote:
Originally Posted by jlo_sandog
I had the same problem. FC6 boots up with xen by defaul which means that you need to install the kmod-nvidia-xen package. If you change the default (Fedora Core (2.6.18-1.2798.fc6xen)) to Fedora Core-up (2.6.18-1.2798.fc6) then your drivers will work with kmod-nvidia. You should read the release notes for more notes about the kernel-devel sources (more than one type).
The kernel package is conficting and not kmod-nvidia.
...and the kmod-nvidia package does work with a default install.
 
Old 10-28-2006, 02:25 AM   #5
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 73
In the future, please report your post/thread to a moderator using the report button instead of double posting.

Cheers.
 
Old 10-28-2006, 05:24 AM   #6
Chuong
Member
 
Registered: Apr 2006
Posts: 161

Original Poster
Rep: Reputation: 30
Sorry red.

Hey guys, no worries, I've fixed me nvidia driver with a format :P

This page seems to be very easy to follow to fixing the nvidia driver with a bit of explanation why that error occurs:

http://news.softpedia.com/news/How-t...-6-38740.shtml

Hope that can help other who have the same problem.
 
Old 10-30-2006, 01:38 AM   #7
Chuong
Member
 
Registered: Apr 2006
Posts: 161

Original Poster
Rep: Reputation: 30
OK, thanks Jens.

I'll try to get that 3D environment thingy working when I get home.

Very much appreciated for your help guys, thank you all.



Chuong.
 
Old 10-30-2006, 04:43 AM   #8
Chuong
Member
 
Registered: Apr 2006
Posts: 161

Original Poster
Rep: Reputation: 30
Sorry Jen, my internet is stuffed up after I updated my Fedora Core 6 packages. I can't do any yum install livna testing unless I get my linux internet working again.

Here's the other thread I need help with:

http://www.linuxquestions.org/questi...d.php?t=496756

Just for some reason my internet is stuffed after update.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
nvidia driver install problem The Redneck Linux - Hardware 1 09-30-2006 06:58 PM
Nvidia driver install problem. Portlyman Linux - Newbie 3 03-31-2006 10:16 AM
nvidia driver install problem jt1020 Fedora 30 12-14-2005 10:04 AM
Problem to install NVIDIA driver punx120 Debian 2 11-13-2004 02:06 PM
Yet Another nVidia Driver install problem Jimbo99 Linux - Hardware 7 05-17-2004 10:39 AM


All times are GMT -5. The time now is 07:10 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration